<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:context=".StorageDemoActivity">

    <Button
            android:text="@string/new_string"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/button"
            app:layout_constraintHorizontal_chainStyle="spread_inside" android:layout_marginTop="16dp"
            app:layout_constraintEnd_toStartOf="@+id/button2" app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_marginStart="16dp" android:onClick="newFile"/>
    <Button
            android:text="@string/open_string"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/button2" app:layout_constraintTop_toTopOf="parent"
            android:layout_marginTop="16dp" app:layout_constraintStart_toEndOf="@+id/button"
            app:layout_constraintEnd_toStartOf="@+id/button3" android:onClick="openFile"/>
    <Button
            android:text="@string/save_string"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/button3" android:layout_marginTop="16dp"
            app:layout_constraintStart_toEndOf="@+id/button2" app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" android:layout_marginEnd="16dp"
            android:onClick="saveFile"/>
    <EditText
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:inputType="textPersonName"
            android:ems="10"
            android:id="@+id/fileText"
            app:layout_constraintStart_toStartOf="parent" android:layout_marginTop="31dp"
            app:layout_constraintTop_toBottomOf="@+id/button" app:layout_constraintEnd_toEndOf="parent"/>
</android.support.constraint.ConstraintLayout>